NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_pngsize(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_pngsize - Determine the width and height of a PNG image

## Table Of Contents

## Synopsis

- ns_pngsize filename

## Description

Returns a list of two elements, the width and height of the PNG file specified by filename. An error is generated if the file does not exist or if it is not a PNG file.

## COMMANDS

ns_pngsize filename

## EXAMPLES

       % ns_pngsize screenshot.png
       1024 768

       % ns_pngsize test.html
       invalid PNG file: "test.html"

## See Also

ns_gifsize, ns_imgmime, ns_imgsize, ns_imgtype, ns_jpegsize

## Keywords

images